stages:
- test
- build
- deploy

sast:
  stage: test

include:
- template: Security/SAST.gitlab-ci.yml

build:
  image: node:latest    # Run the job in a `node` docker image
  stage: build
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - packages/personal-site/build/          # Save the build result as an artfact


pages:
  stage: deploy
  cache:
    paths:
      - node_modules/
  variables:
    GIT_STRATEGY: none        # Do not clone git repo
    PUBLIC_URL: https://jaredbourget.gitlab.io/web-development-projects
  script:
    # Rename the CRA `build` folder to `public`
    - mv packages/personal-site/build public         
  artifacts:
    paths:
      - public